E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
GNet::MultiServerPtr Class Reference

A private implementation class used by GNet::MultiServer. More...

`#include <gmultiserver.h>`

## Public Types
typedef GNet::MultiServerImp | ServerImp

## Public Member Functions
| MultiServerPtr (ServerImp *=nullptr)
| Constructor.
| ~MultiServerPtr ()
| Destructor.
void | swap (MultiServerPtr &)
| Swaps internals with the other.
MultiServerImp * | get ()
| Returns the raw pointer.
const MultiServerImp * | get () const
| Returns the raw const pointer.
| MultiServerPtr (const MultiServerPtr &)
| Copy constructor.
void | operator= (const MultiServerPtr &)
| Assignment operator.

## Detailed Description

A private implementation class used by GNet::MultiServer.

The implementation is unusual in that it only has proper value semantics if the contained pointer is null.

Definition at line 60 of file gmultiserver.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gmultiserver.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gmultiserver.cpp